## GstWebRTCSessionDescription GstWebRTCSessionDescription — RTCSessionDescription object |

## Functions

GstWebRTCSessionDescription * | gst_webrtc_session_description_new ()
GstWebRTCSessionDescription * | gst_webrtc_session_description_copy ()
void | gst_webrtc_session_description_free ()

## Types and Values

| GstWebRTCSessionDescription

## Object Hierarchy

        GBoxed
        ╰── GstWebRTCSessionDescription

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

https://www.w3.org/TR/webrtc/#rtcsessiondescription-class

## Functions

### gst_webrtc_session_description_new ()

    GstWebRTCSessionDescription *
    gst_webrtc_session_description_new (GstWebRTCSDPType type,
                                        GstSDPMessage *sdp);

#### Parameters

type | a GstWebRTCSDPType |
sdp | a GstSDPMessage. | [transfer full]

#### Returns

a new GstWebRTCSessionDescription from `type` and `sdp` .

[transfer full]

### gst_webrtc_session_description_copy ()

    GstWebRTCSessionDescription *
    gst_webrtc_session_description_copy (const GstWebRTCSessionDescription *src);

#### Parameters

src | a GstWebRTCSessionDescription. | [transfer none]

#### Returns

a new copy of `src` .

[transfer full]

### gst_webrtc_session_description_free ()

    void
    gst_webrtc_session_description_free (GstWebRTCSessionDescription *desc);

Free `desc` and all associated resources

#### Parameters

desc | a GstWebRTCSessionDescription. | [transfer full]

## Types and Values

### GstWebRTCSessionDescription

    typedef struct {
      GstWebRTCSDPType       type;
      GstSDPMessage         *sdp;
    } GstWebRTCSessionDescription;

See https://www.w3.org/TR/webrtc/rtcsessiondescription-class

#### Members

GstWebRTCSDPType `type`; | the GstWebRTCSDPType of the description |
GstSDPMessage *`sdp`; | the GstSDPMessage of the description |